Errore aggiornamento da 2.4.16 a 2.4.17.1

Sezione dedicata ai problemi con l'installazione e l'aggiornamento del software, con discussioni sulle configurazioni di specifici server o fornitori di hosting.
Rispondi
Avatar utente
Pcfactory
Messaggi: 27
Iscritto il: 22 apr 2017 18:00
Contatta:

Errore aggiornamento da 2.4.16 a 2.4.17.1

Messaggio da Pcfactory »

Buongiorno, ho effettuato l'aggiornamento in oggeto come da procedura da Voi suggerita, ma mi si blocca sull'aggiornamento del database.
PHP = 7.4.10
MySQLi = 5.7.26-29-log
Cosa devo fare?
Allego log.
Grazie per il Vostro aiuto.
Allegati
LOG.zip
(13.69 KiB) Scaricato 15 volte
errore.JPG

Avatar utente
dasc3er
Messaggi: 1089
Iscritto il: 11 lug 2016 17:41

Re: Errore aggiornamento da 2.4.16 a 2.4.17.1

Messaggio da dasc3er »

Ciao, in questo caso la query che ha provocato l'errore è la seguente:

Codice: Seleziona tutto

ALTER TABLE `mg_prodotti` DROP FOREIGN KEY `mg_prodotti_ibfk_4`
La query è però presente nella versione 2.4.16: stai aggiornando da una versione precedente?
Puoi procedere sostituendo nel file update/2_4_16.sql il contenuto:

Codice: Seleziona tutto

ALTER TABLE `mg_prodotti` DROP FOREIGN KEY `mg_prodotti_ibfk_4`;
con

Codice: Seleziona tutto

-- ALTER TABLE `mg_prodotti` DROP FOREIGN KEY `mg_prodotti_ibfk_4`;
E far ripartire l'aggiornamento aggiungendo ?force all'URL del gestionale.

Avatar utente
Pcfactory
Messaggi: 27
Iscritto il: 22 apr 2017 18:00
Contatta:

Re: Errore aggiornamento da 2.4.16 a 2.4.17.1

Messaggio da Pcfactory »

Grazie mille. Ora è tutto ok. Siete fantastici.

Rispondi